import dynamix_sdk.base as _base


class CloudbrokerAccountDeleteUserResultBool(_base.BaseAPIResultBool):
    pass


class CloudbrokerAccountDeleteUserProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def delete_user(
        self,
        *,
        account_id: int,
        user_name: str,
    ) -> CloudbrokerAccountDeleteUserResultBool:
        ...
